Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class EditorSimpleThemeIcons

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.images.EditorIcons
                  org.richfaces.renderkit.html.images.EditorSimpleThemeIcons

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class EditorSimpleThemeIcons

extends EditorIcons

Class for simple theme icons resource image of tinyMCE editor. Used for richfaces custom skin of tinyMCE editor.

Author:
  Alexandr Levkovsky

Field Summary

Fields inherited from class org.richfaces.renderkit.html.images.EditorIcons
`ADDITIONAL_BACKGROUND_COLOR, GENERAL_TEXT_COLOR, PANEL_BORDER_COLOR, SELECT_CONTROL_COLOR`

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`EditorSimpleThemeIcons()` Class constructor

Method Summary
`java.awt.Dimension` | `getDimensions(javax.faces.context.FacesContext facesContext, java.lang.Object data)`
`protected java.awt.Dimension` | `getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)`
`void` | `paint(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D graphics)`

Methods inherited from class org.richfaces.renderkit.html.images.EditorIcons
`deserializeData, getDataToStore, paintFirstTriangleBlock, paintMainBlock, paintSecondTriangleBlock, paintSeparatorBlock`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getImage, getResourceAsStream, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorSimpleThemeIcons

    public EditorSimpleThemeIcons()

  Class constructor

Method Detail

### getDimensions

    public java.awt.Dimension getDimensions(javax.faces.context.FacesContext facesContext,
                                            java.lang.Object data)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

### getDimensions

    protected java.awt.Dimension getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)

  Overrides:
    `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

### paint

    public void paint(org.ajax4jsf.resource.ResourceContext context,
                      java.awt.Graphics2D graphics)

  Overrides:
    `paint` in class `org.ajax4jsf.resource.Java2Dresource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.